Skip to Content
avatar image
Former Member

Unable to start Enhacement Package Installer

I'm trying to run the Enhacement Package installer (package SAPehpi_13-10005807.SAR) to apply the EHP4 to my Sap ERP60 / NW701, but it does not work.

I did several attempts using the JSDK 1.5_21 and over and using either the Jce.jar file included into the JSDk installation or the jce policy file downloaded from Sapnet as for note 1240081.

It simply it is not able to start the DSUservice, or if it starts when clicking the url "Start Enh installer" it give me "Error HTTP 504" or something else.

I'm pretty sure the problem is the combination JSdk and the JCe policy file, but from the Sap documentation it's really not clear what has to be used.

The JCE file for the JSDK 1.5 is not available separately, as I can see, and it's included into the installation. using this JCe.jar the DSUservice does not start at all.

I try also to download the SAP JVM 5.1 patch 45, but as I understood to install it you should use the JSPM; the problem is that I do not have the JSPM as it's an ABAP only installation.

The installation of the SAP JVM 5.1 has been removed from sapnet.

Any suggestion ?

Regards

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

2 Answers

  • Feb 12, 2010 at 01:56 PM

    Hi Roberto Mariani ,

    Please verify java version of system on which you would like to apply EHP4 . depending on java version , that JCE policy you need to put along with EHPi folder.

    Go to OS level of system --> put command java -version --> verify version

    Regards,

    Rupali B

    Add comment
    10|10000 characters needed characters exceeded

  • Feb 14, 2010 at 05:55 PM

    > The JCE file for the JSDK 1.5 is not available separately, as I can see, and it's included into the installation. using this JCe.jar the DSUservice does not start at all.

    What operating system is that?

    Markus

    Add comment
    10|10000 characters needed characters exceeded

    • > It is win 2008 , x86_64.

      If you haven't disable UAC you have to start EHPI in elevated mode, otherwise your current user hasn't enough permissions.

      > I'm using 1.5u21. On the SUN site I was not able to find the corresponding JCE file .

      http://www.sun.com/software/javaforbusiness/sap_download.jsp

      --> (scroll down)

      > I found it on another site; then it works.

      You use encryption software from a site other than the original? What makes you so sure that Java lib doesn't contain malicious code and/or sends your password to someone?

      > I cannot use the Web Browser, as the Java WebStart is not available, as described into the inst. guide.

      > So I started it directly on the windows host by mean of the .bat script

      Didn't you install the full package including the Java Webstart?

      Markus